<!DOCTYPE html>
<html lang="en">

<head>
    <% include _head %>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/css/bootstrap-select.min.css">
    <link rel="stylesheet" type="text/css" href="/css/tableScroll.css">
</head>

<body>
<% include _loading %>
<div class="container-fluid content-row">
    <div class="row mt-2 mr-2">
      <span class="col-2">
          <% include _lang %>
      </span>
        <span class="col-1" id="date" class="ml-3"></span>
        <h4 class="col-6" id="infos_eleve"></h4>
        <div class="col-3 ml-auto">
            <a href="#" onclick="window.location.href='/classes'"
               class="btn btn-outline-danger"><%= __('global_back') %></a>
            <a href="/logout" class="btn btn-outline-warning"><%= __('global_logout') %></a>
        </div>
    </div>
    <main role="main">
        <section class="jumbotron text-center">
            <div class="container">
                <h1><%= __('admin_role_title') %></h1>
            </div>
        </section>
        <div class="container">
            <div class="row">
                <table class="table nomargin-bottom">
                    <thead class="thead-light">
                    <tr>
                        <th scope="col" style="width: 40%"><%= __('admin_role_table_email') %></th>
                        <th scope="col" style="width: 20%"><%= __('admin_role_table_current_role') %></th>
                        <th scope="col" style="width: 40%"><%= __('admin_role_table_role') %></th>
                    </tr>
                    </thead>
                </table>
                <div id="table-wrapper">
                    <div id="table-scroll">
                        <table class="table">
                            <tbody style="overflow:auto;">
                            <%
                            for(let user of users){
                                if(user.userId === currentTeacher)
                                    continue;
                            %>
                                <tr id="ex">
                                    <td style="width: 40%">
                                        <%= user.email %>
                                    </td>
                                    <td id="role<%= user.userId %>" style="width: 20%"><%= user.role %></td>
                                    <td style="width: 40%">
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" id="admin<%= user.userId %>"
                                                   onclick="ui_role.updateRole(<%= user.userId %>, 3)"
                                                    <%= user.roleId === 3 ? 'checked="checked"' : '' %>>
                                            <label class="form-check-label"
                                                   for="admin<%= user.userId %>"><%= __('admin_role_admin') %></label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox"
                                                   id="validateur<%= user.userId %>"
                                                   onclick="ui_role.updateRole(<%= user.userId %>, 2)"
                                                    <%= user.roleId === 3 ? 'checked="checked" disabled="disabled"' : (user.roleId === 2 ? 'checked="checked"' : '') %>>
                                            <label class="form-check-label"
                                                   for="validateur<%= user.userId %>"><%= __('admin_role_validateur') %></label>
                                        </div>
                                    </td>
                                </tr>
                            <% } %>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
<script src="/scripts/wrk/wrk.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/js/bootstrap-select.min.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_role.js"></script>
</body>
</html>